# Class CIM_SpareGroup
extends CIM_RedundancyGroup

A class derived from RedundancyGroup indicating that one or more of the aggregated elements can be spared. (The actual Spares are defined using the ActsAsSpare association.) An example is the use of redundant NICs in a ComputerSystem - where one NIC is primary and the other is Spare. The 'primary' NIC would be a member of the SpareGroup (associated using the RedundancyComponent class) and the 'other' NIC would be associated using the ActsAsSpare relationship. The use of the class is being deprecated in lieu of using the RedundancySet class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_RedundancyGroup
|
+--CIM_SpareGroup

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_RedundancySet

Description

string

A class derived from RedundancyGroup indicating that one or more of the aggregated elements can be spared. (The actual Spares are defined using the ActsAsSpare association.) An example is the use of redundant NICs in a ComputerSystem - where one NIC is primary and the other is Spare. The 'primary' NIC would be a member of the SpareGroup (associated using the RedundancyComponent class) and the 'other' NIC would be associated using the ActsAsSpare relationship. The use of the class is being deprecated in lieu of using the RedundancySet class.

UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.13.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_RedundancyGroup
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_RedundancyGroup
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RedundancyStatus | uint16 | CIM_RedundancyGroup
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### Failover (uint32)

#### Method Qualifiers (Failover)

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_RedundancySet.FailOver()

Description

string

This method is forces a failover from one ManagedSystem Element to another. There are two parameters to the Failover method, FailoverFrom and FailoverTo. The FailoverFrom parameter is a reference to the primary ManagedSystemElement that will become inactive after the method. This Element should be associated with the SpareGroup through the RedundancyComponent relationship. The FailoverTo parameter is a reference to the ManagedSystemElement that will take over for the primary. This Element should be associated with the SpareGroup through the ActsAsSpare association. Once the failover has occurred, the SpareGroup and the Redundancy Component and ActsAsSpare associations will be updated with current status. For example, the ActsAsSpare association that contained the FailoverTo Element will be deleted and a new RedundancyComponent association instantiated in its place. The method should return 0 if successful, 1 if the request is not supported, and some other value if any other error occurred. In a subclass, the set of possible return codes could be specified, using a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' may also be specified in the subclass as a Values array qualifier.

#### Method Parameters (Failover)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
FailoverFrom | REF CIM_ManagedSystemElement
Description | string | The primary ManagedSystemElement that will become inactive after the method.
IN | boolean | true
FailoverTo | REF CIM_ManagedSystemElement
Description | string | The ManagedSystemElement that will take over from the primary MSE.
IN | boolean | true